/*******************************************************************************
 * FoxWeaponAttachment_LHSBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponAttachment_LHSBase extends FoxWeaponAttachment_AutomaticBase
    config(Weapon)
    notplaceable
    hidecategories(Navigation);

var export editinline SkeletalMeshComponent ExtraAnimatedMesh;
var const ParticleSystem ImpactFX;
var const AkEvent ImpactSound;

simulated function AttachWeaponTo(SkeletalMeshComponent MeshCpnt, optional name SocketName)
{
    super(FoxWeaponAttachment).AttachWeaponTo(MeshCpnt, SocketName);
    // End:0xB9
    if(ExtraAnimatedMesh != none)
    {
        ExtraAnimatedMesh.SetParentAnimComponent(MeshCpnt);
        ExtraAnimatedMesh.SetShadowParent(MeshCpnt);
        ExtraAnimatedMesh.SetLightEnvironment(MeshCpnt.LightEnvironment);
    }
    //return;    
}

simulated function ParticleSystem GetWeaponSpecificImpactEffect(FoxPMPInfo_ImpactFX ImpactFX_Info, const byte FiringMode)
{
    return ImpactFX;
    //return ReturnValue;    
}

simulated function AkEvent GetWeaponSpecificImpactSound(FoxPMPInfo_ImpactFX ImpactFX_Info, const byte FiringMode)
{
    return ImpactSound;
    //return ReturnValue;    
}

simulated function FoxPMPInfo_Decals GetWeaponSpecificDecalData(FoxPhysicalMaterialProperty PMP_Info, const byte FiringMode)
{
    return none;
    //return ReturnValue;    
}

simulated function StartFiringSound(const byte FireModeNum)
{
    // End:0x48
    if((Instigator == none) || !Instigator.IsLocallyControlled())
    {
        super(FoxWeaponAttachment).StartFiringSound(FireModeNum);
    }
    //return;    
}

defaultproperties
{
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_LHSBase.AttachmentMesh'
    Mesh=AttachmentMesh
    MuzzleFlashLight=PointLightComponent'Default__FoxWeaponAttachment_LHSBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.71617790
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeaponAttachment_LHSBase.LensComp'
    MuzzleLensFlare=LensComp
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_LHSBase.AttachmentMesh'
    Components(0)=AttachmentMesh
}